A lot of script-driven apps, especially paid cms, encode their files to ensure that they won't be reverse engineered or tampered with. Most of them use an app named ionCube PHP Encoder to do that, so if you purchase a paid script and you would like to install it in a hosting account, a software instrument called ionCube Loader has to be present on your server. Without it, you cannot install the script or if you somehow find a way to do this, it will not work effectively because almost all of the script code will be encoded to a degree where it can't be interpreted. That's why, you should make sure that ionCube Loader is present when you get a fresh web hosting account and you want to take advantage of some paid web application. If you purchase a shared website hosting account and the instrument is not present, it can't be added since the whole server PHP environment will have to be compiled again.

IonCube in Website Hosting

IonCube Loader is supplied with every single Linux website hosting package that we offer and you are able to enable it anytime with only a few clicks, so you will be able to use script apps which need it. You will be able to do that through the PHP Configuration area of the Hepsia Control Panel and all it'll take to enable or deactivate ionCube is to click a button. The change will take effect within a minute, therefore you will be able to go ahead and set up the application that you need without delay. The exact same section allows you to switch the PHP version that's active for your account, because we support a variety of versions on our hi-tech cloud platform. If you switch to a release that you have not used so far, you'll have to activate ionCube Loader once again. More advanced users will be able to use a php.ini file in a particular domain folder in order to set a PHP release different from the one for the entire account or enable/disable ionCube Loader.

IonCube in Semi-dedicated Hosting

In case you get a semi-dedicated server plan from us, you will be able to take advantage of any script-driven app which needs ionCube Loader for the reason that the tool comes with all servers which are part of our innovative cloud website hosting platform. We also support various versions of PHP, which means that if you switch from PHP 4 to 5.2 or 5.3, for instance, you can enable ionCube for this particular version with just a click in your Hepsia Control Panel. Our system will remember your decision, and if you move back to the previous version of PHP, the software instrument will already be active. For more tech-savvy users, we also offer the option to choose the PHP version and if ionCube will be active or not for a specific domain without altering the settings for the entire hosting account. This is done by placing a php.ini file within a domain folder with a couple of lines of code.